<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Especificidade CSS</title>
    <style>
        /* https://specificity.keegan.st/ */
        /* 
            1. Inline
            2. ID
            3. Classe, Pseudo-Classe, atributo
            4, Elemento, Pseudo-Elementos
        */

        body {font-size: 40px;}
        
        div {background-color: blue; color: white;}
        div[wm-cor] {background-color: darkorange;}
        div.estilo {background-color: greenyellow;}
        #unico1, #unico2 {background-color: black;}
        div:hover, #unico1:hover { background-color: purple;}

    </style>
</head>

<body>
    <div id="unico1" class="estilo">
        #unico1 vs .estilo vs inline
    </div>
    <div id="unico2" class="estilo" style="background-color: red;">#unico2 vs .estilo</div>
    <div class="estilo" wm-cor>.estilo vs wm-cor</div>
    <div wm-cor>wm-cor</div>
    <div class="estilo">.estilo</div>
    <div>elemento</div>
</body>

</html>